Difference between revisions of "Known Issues"

From Sabayon Wiki
Jump to: navigation, search
(03/16/10 URL Change for Entropy Repository - dropped)
(2013-06-07 My KDE applications are broken!!!)
(23 intermediate revisions by the same user not shown)
Line 1: Line 1:
 
{{I18n|[[De:Bekannte Probleme|de]] [[Known Issues|en]]}}
 
{{I18n|[[De:Bekannte Probleme|de]] [[Known Issues|en]]}}
  
== 04/07/13 gcc-config: error: could not run/locate 'gcc' ==
+
== 2013-06-07 My KDE applications are broken!!! ==
 +
 
 +
When you notice, that your KDE apps aren't launching, have a look in your dmesg, especially concerning a line like ''/usr/lib/…'' and ''kdelibs''. The reason are broken kdelibs, so simply reinstall them ;-)
 +
 
 +
{{Console|<pre class="clear"># equo install kde-base/kdelibs-4.10.3-r1</pre>}}
 +
 
 +
Logout, restart kdm, login and you're done.
 +
 
 +
== 2013-05-05 GNOME eats all my CPU after upgrade! ==
 +
 
 +
After an upgrade, LXDM shows a high need of CPU with GNOME Shell. The reason is a messed up opengl configuration during the upgrade preocess.
 +
 
 +
If you have nvidia:
 +
{{Console|<pre class="clear"># eselect opengl set nvidia</pre>}}
 +
 
 +
If you have AMD/ATI:
 +
{{Console|<pre class="clear"># eselect opengl set ati</pre>}}
 +
 
 +
== 2013-05-04 Caja problems with pseudo-protocols and chromium isn't default webbrowser ==
 +
 
 +
=== Caja cannot open computer:/// nor network:/// ===
 +
 
 +
This issue may happen, if you install Mate from 13.04 ISO. The solution is pretty simple, since a dependency is missing:
 +
 
 +
{{Console|<pre class="clear"># equo install gnome-base/gvfs</pre>}}
 +
 
 +
You may want to reboot then.
 +
 
 +
=== Although set, chromium isn't default browser ===
 +
 
 +
This depends on xdg. You can easily check it this way:
 +
 
 +
{{Console|<pre class="clear">$ xdg-open http://www.sabayon.org</pre>}}
 +
 
 +
Most the time firefox comes up. If you want to change it to Chromium, enter these lines in your terminal:
 +
 
 +
{{Console|<pre class="clear">
 +
$ xdg-mime default Chromium.desktop x-scheme-handler/http
 +
$ xdg-mime default Chromium.desktop x-scheme-handler/https
 +
</pre>}}
 +
 
 +
== 2013-04-07 gcc-config: error: could not run/locate 'gcc' ==
  
 
Simply reinstall gcc. And run the second line in addition, if you use 64Bit and reinstalling don't solve your issue:
 
Simply reinstall gcc. And run the second line in addition, if you use 64Bit and reinstalling don't solve your issue:
Line 9: Line 50:
 
</pre>}}
 
</pre>}}
  
== 23/02/13 Akonadi Server cannot start ==
+
== 2013-02-23 Akonadi Server cannot start ==
  
 
The problem is caused of a version mismatch: Sabayon Linux 10 ships KDE 4.9.5 whereas Akonadi v1.9.0 depends on KDE 4.10. During this change a USE flag was changed.
 
The problem is caused of a version mismatch: Sabayon Linux 10 ships KDE 4.9.5 whereas Akonadi v1.9.0 depends on KDE 4.10. During this change a USE flag was changed.
Line 21: Line 62:
 
* [https://forum.sabayon.org/viewtopic.php?f=59&t=29188 Akonadi Server: Problem after update to 1.9.0 (Solved)]
 
* [https://forum.sabayon.org/viewtopic.php?f=59&t=29188 Akonadi Server: Problem after update to 1.9.0 (Solved)]
  
== 05/02/13 Images aren't shown in my browser ==
+
== 2013-02-05 Images aren't shown in my browser ==
  
 
Run the following to commands to change the image libraries:
 
Run the following to commands to change the image libraries:
Line 29: Line 70:
 
</pre>}}
 
</pre>}}
  
== 23/04/13 I have square brackets instead of fonts! ==
+
== 2013-04-23 I have square brackets instead of fonts! ==
  
 
Some dependencies weren't drawn, so simply run the following command:
 
Some dependencies weren't drawn, so simply run the following command:
 
{{Console|<pre class="clear"># equo install x11-libs/gdk-pixbuf x11-libs/gtk+:2 x11-libs/gtk+:3 x11-libs/pango</pre>}}
 
{{Console|<pre class="clear"># equo install x11-libs/gdk-pixbuf x11-libs/gtk+:2 x11-libs/gtk+:3 x11-libs/pango</pre>}}
  
==02/12/10 Mandatory Entropy Update and Wireless KDE4.4==
+
== 2011-01-26 GDM/KDM/LXDM have US-keyboard preselected ==
Wireless issues after KDE 4.4 update
+
Friday, February 12, 2010 5:37 AM
+
With KDE 4.4, we had to drop the old Plasma-based Network Manager tool, you must install knetworkmanager or nm-applet (GNOME)
+
 
+
Entropy update required
+
Friday, February 12, 2010 5:34 AM
+
If you are having download problems, they may be caused by your Entropy version not up-to-date. You can solve this by updating Entropy this way: equo update && equo install entropy equo --nodeps && equo upgrade
+
 
+
== 01/26/11 GDM/KDM/LXDM have US-keyboard preselected ==
+
  
 
First update your system. Therefore run as root:
 
First update your system. Therefore run as root:
Line 87: Line 119:
 
Save the file. You have to restart now either X or the whole computer.
 
Save the file. You have to restart now either X or the whole computer.
  
== 03/16/10 Change of entropy's repository ==
+
== 2010-03-16 Change of entropy's repository ==
  
 
This only affects Sabayon Linux version elder than 5.2. Read this post: [http://forum.sabayon.org/viewtopic.php?f=76&t=17144&sid=0223fbd47ed1bc0ccd777fdcdce290f3 Repository sabayonlinux.org hasn't been downloaded yet.]
 
This only affects Sabayon Linux version elder than 5.2. Read this post: [http://forum.sabayon.org/viewtopic.php?f=76&t=17144&sid=0223fbd47ed1bc0ccd777fdcdce290f3 Repository sabayonlinux.org hasn't been downloaded yet.]
  
== 02/12/10 Mandatory entropy upgrade and wireless networks in KDE 4.4 ==
+
== 2010-02-12 Mandatory entropy upgrade and wireless networks in KDE 4.4 ==
  
After updating KDE 4.4 on Friday, 12nd February 2010, there raised some issues with wireless networks. We dropped the old Networkmanagement tool based on plasma with the change to KDE 4.4, so you have to use either knetworkmanager (KDE) or nm-applet (HNOME). This only affects Sabayon Linux version elder then 5.2.
+
=== Issues with wireless networks ===
 +
 
 +
We dropped the old Networkmanagement tool based on plasma with the change to KDE 4.4, so you have to use either knetworkmanager (KDE) or nm-applet (GNOME). This only affects Sabayon Linux version elder then 5.2.
 +
 
 +
=== Need to update entropy ===
  
 
In case you have download problems with equo/entropy, it is due your not up-to-date entropy. You can simply repair this with signing in as root in a terminal and running
 
In case you have download problems with equo/entropy, it is due your not up-to-date entropy. You can simply repair this with signing in as root in a terminal and running
 
{{Console|<pre class="clear"># equo update && equo install entropy equo --nodeps && equo upgrade</pre>}}
 
{{Console|<pre class="clear"># equo update && equo install entropy equo --nodeps && equo upgrade</pre>}}
== 10/14/09 Slow Speeds with Limbo Repo ==
+
 
 +
== 2009-10-14 Slow Speeds with Limbo Repo ==
  
 
You may notice a big slow down with entropy and Limbo Repo, please add this mirror under your existing Limbo line
 
You may notice a big slow down with entropy and Limbo Repo, please add this mirror under your existing Limbo line
Line 123: Line 160:
 
You will still get the update db from pkg site, but it should download the packages from garr. I leave the choice up to you.
 
You will still get the update db from pkg site, but it should download the packages from garr. I leave the choice up to you.
  
==9/8/09 Gnome 5.0 and jpg==
+
== 2009-09-08 Gnome 5.0 and jpg==
 
Gnome 5.0 having jpg issues - fix is to reinstall gtk+
 
Gnome 5.0 having jpg issues - fix is to reinstall gtk+
 
{{Console|<pre class="clear">#equo install gtk+</pre>}}
 
{{Console|<pre class="clear">#equo install gtk+</pre>}}
Line 130: Line 167:
 
{{Console|<pre class="clear">$ update-mime-database ~/.local/share/mime/</pre>}}
 
{{Console|<pre class="clear">$ update-mime-database ~/.local/share/mime/</pre>}}
  
==8/3/09 Late Bugs Fixes==
+
== 2009-08-03 Late Bugs Fixes==
 
Make sure before you install 5.0 that you run the Update Installer.  The button is found by launching the Install to Disk.  It will download the latest fixes and restart the install process.
 
Make sure before you install 5.0 that you run the Update Installer.  The button is found by launching the Install to Disk.  It will download the latest fixes and restart the install process.
  
==6/20/09 Mibbit WebChat==
+
== 2009-06-20 Mibbit WebChat ==
 +
 
 
Freenode had banned mibbit, which is the webchat that we had been using for Live Help.  Please use an irc client to connect to live help or you can use the [http://webchat.freenode.net/ Freenode webchat] - channel #Sabayon
 
Freenode had banned mibbit, which is the webchat that we had been using for Live Help.  Please use an irc client to connect to live help or you can use the [http://webchat.freenode.net/ Freenode webchat] - channel #Sabayon
  
== 4/29/09 Adding Users ==
+
== 2009-04-29 Adding Users ==
  
 
[http://forum.sabayon.org/viewtopic.php?f=86&t=16777 Please see this thread on kuser and gnome user]
 
[http://forum.sabayon.org/viewtopic.php?f=86&t=16777 Please see this thread on kuser and gnome user]
Line 149: Line 187:
 
Fitzcarraldo recommends [http://wiki.vpslink.com/HOWTO:_Gentoo_Primer_-_Post-Installation_Steps#Superadduser Superadduser].
 
Fitzcarraldo recommends [http://wiki.vpslink.com/HOWTO:_Gentoo_Primer_-_Post-Installation_Steps#Superadduser Superadduser].
  
== 03/29/09 Grub Issue ==
+
== 2009-03-29 Grub Issue ==
  
 
Getting reports that Grub issues are hitting a lot of people also, luckily you have some options.
 
Getting reports that Grub issues are hitting a lot of people also, luckily you have some options.
Line 160: Line 198:
 
{{Console|<pre class="clear"># grub-install /dev/sda</pre>}}
 
{{Console|<pre class="clear"># grub-install /dev/sda</pre>}}
  
== 03/27/09 Entropy Wiki Addition ==
+
== 2009-03-27 Entropy Wiki Addition ==
  
 
[[En:Entropy#Fresh_Install_-_What_to_do.3F|Fresh Install - What to do?]]
 
[[En:Entropy#Fresh_Install_-_What_to_do.3F|Fresh Install - What to do?]]
Line 166: Line 204:
 
hopefully this will help people get started with the entire process.
 
hopefully this will help people get started with the entire process.
  
== 03/25/09 ext4 with kernel .29 ==
+
== 2009-03-25 ext4 with kernel .29 ==
  
 
We have a new issue now with 2.6.29
 
We have a new issue now with 2.6.29
Line 192: Line 230:
 
In this example, sdb8 is the root partition. You must modify the example to fit your needs. If it's working, you can edit /etc/fstab and reboot.
 
In this example, sdb8 is the root partition. You must modify the example to fit your needs. If it's working, you can edit /etc/fstab and reboot.
  
== 03/21/09 Update Information ==
+
== 2009-03-21 Update Information ==
  
 
We are seeing plenty of people having problems with updates as they don't realize what happens when there is a kernel change.
 
We are seeing plenty of people having problems with updates as they don't realize what happens when there is a kernel change.

Revision as of 22:04, 10 June 2013

i18n: de en

2013-06-07 My KDE applications are broken!!!

When you notice, that your KDE apps aren't launching, have a look in your dmesg, especially concerning a line like /usr/lib/… and kdelibs. The reason are broken kdelibs, so simply reinstall them ;-)

# equo install kde-base/kdelibs-4.10.3-r1

Logout, restart kdm, login and you're done.

2013-05-05 GNOME eats all my CPU after upgrade!

After an upgrade, LXDM shows a high need of CPU with GNOME Shell. The reason is a messed up opengl configuration during the upgrade preocess.

If you have nvidia:

# eselect opengl set nvidia

If you have AMD/ATI:

# eselect opengl set ati

2013-05-04 Caja problems with pseudo-protocols and chromium isn't default webbrowser

Caja cannot open computer:/// nor network:///

This issue may happen, if you install Mate from 13.04 ISO. The solution is pretty simple, since a dependency is missing:

# equo install gnome-base/gvfs

You may want to reboot then.

Although set, chromium isn't default browser

This depends on xdg. You can easily check it this way:

$ xdg-open http://www.sabayon.org

Most the time firefox comes up. If you want to change it to Chromium, enter these lines in your terminal:

$ xdg-mime default Chromium.desktop x-scheme-handler/http
$ xdg-mime default Chromium.desktop x-scheme-handler/https

2013-04-07 gcc-config: error: could not run/locate 'gcc'

Simply reinstall gcc. And run the second line in addition, if you use 64Bit and reinstalling don't solve your issue:

# equo install gcc
# gcc-config x86_64-pc-linux-gcc-4.7.2

2013-02-23 Akonadi Server cannot start

The problem is caused of a version mismatch: Sabayon Linux 10 ships KDE 4.9.5 whereas Akonadi v1.9.0 depends on KDE 4.10. During this change a USE flag was changed.

One solution is to switch your database in ~/.config/akonadi/akonadiserverrc to Driver=QMYSQL (and use MySQL instead of SQLite). Note, that this will remove all your data! So better backup them.

Read also:

2013-02-05 Images aren't shown in my browser

Run the following to commands to change the image libraries:

# equo remove media-libs/jpeg-8d –nodeps
# equo install media-libs/libjpeg-turbo

2013-04-23 I have square brackets instead of fonts!

Some dependencies weren't drawn, so simply run the following command:

# equo install x11-libs/gdk-pixbuf x11-libs/gtk+:2 x11-libs/gtk+:3 x11-libs/pango

2011-01-26 GDM/KDM/LXDM have US-keyboard preselected

First update your system. Therefore run as root:

# equo update && equo upgrade

In case you have not configured a network connection sign in as root via Ctrl + Alt + F2 in a tty session instead. Here are your local keyboard mapping respected:

# mkdir -p /etc/X11/xorg.conf.d/
# nano -w /etc/X11/xorg.conf.d/10-keyboard.conf

Insert here the following lines, if you're e.g. German:

File: /etc/X11/xorg.conf
 Section "InputClass"
        Identifier "keyboard"
        MatchIsKeyboard "yes"
        Option "XkbLayout" "de"
        Option "XkbVariant" "nodeadkeys"
        Option  "XkbOptions" "terminate:ctrl_alt_bksp"
 EndSection

Save the file and restart your machine. Now you have (e.g. German) keyboard mapping in your GDM/KDM/LXDM Window manager as well:

# nano -w /etc/X11/xorg.conf.d/10-keyboard.conf

If you get an error message, that the directory doesn't exist yet, simply create it:

# mkdir -p /etc/X11/xorg.conf.d/

Copy the following lines in the opened file:

File: /etc/X11/xorg.conf.d/10-keyboard,conf
 Section "InputClass"
         Identifier "touchpad catchall"
         Driver "synaptics"
         MatchIsTouchpad "on"
               Option "TapButton1" "1"
               Option "TapButton2" "2"
               Option "TapButton3" "3"
               Option "VertEdgeScroll" "on"
               Option "HorizEdgeScroll" "on"
 EndSection

Save the file. You have to restart now either X or the whole computer.

2010-03-16 Change of entropy's repository

This only affects Sabayon Linux version elder than 5.2. Read this post: Repository sabayonlinux.org hasn't been downloaded yet.

2010-02-12 Mandatory entropy upgrade and wireless networks in KDE 4.4

Issues with wireless networks

We dropped the old Networkmanagement tool based on plasma with the change to KDE 4.4, so you have to use either knetworkmanager (KDE) or nm-applet (GNOME). This only affects Sabayon Linux version elder then 5.2.

Need to update entropy

In case you have download problems with equo/entropy, it is due your not up-to-date entropy. You can simply repair this with signing in as root in a terminal and running

# equo update && equo install entropy equo --nodeps && equo upgrade

2009-10-14 Slow Speeds with Limbo Repo

You may notice a big slow down with entropy and Limbo Repo, please add this mirror under your existing Limbo line

File: /etc/entropy/repositories.conf
repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://pkg.sabayonlinux.org/entropy|http://pkg.sabayonlinux.org

so it should look like

File: /etc/entropy/repositories.conf
repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://pkg.sabayonlinux.org/entropy|http://pkg.sabayonlinux.org
repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://na.mirror.garr.it/mirrors/sabayonlinux/entropy/|http://na.mirror.garr.it/mirrors/sabayonlinux/entropy#bz2

now you should have good speeds again. You may have to put a # in front of the top one to force equo to use garr only. Example:

File: /etc/entropy/repositories.conf
# repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://pkg.sabayonlinux.org/entropy|http://pkg.sabayonlinux.org
repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://na.mirror.garr.it/mirrors/sabayonlinux/entropy/|http://na.mirror.garr.it/mirrors/sabayonlinux/entropy#bz2

Another thing you can do is make it look like:

File: /etc/entropy/repositories.conf
repository|sabayon-limbo|Sabayon Linux Limbo Repository|http://pkg.sabayonlinux.org/entropy|http://pkg.sabayonlinux.org
repository|sabayon-limbo||http://na.mirror.garr.it/mirrors/sabayonlinux/entropy|

You will still get the update db from pkg site, but it should download the packages from garr. I leave the choice up to you.

2009-09-08 Gnome 5.0 and jpg

Gnome 5.0 having jpg issues - fix is to reinstall gtk+

#equo install gtk+

also run as user

$ update-mime-database ~/.local/share/mime/

2009-08-03 Late Bugs Fixes

Make sure before you install 5.0 that you run the Update Installer. The button is found by launching the Install to Disk. It will download the latest fixes and restart the install process.

2009-06-20 Mibbit WebChat

Freenode had banned mibbit, which is the webchat that we had been using for Live Help. Please use an irc client to connect to live help or you can use the Freenode webchat - channel #Sabayon

2009-04-29 Adding Users

Please see this thread on kuser and gnome user I find doing the command line method the easiest

# useradd -m -G users,wheel,audio -s /bin/bash john
# passwd john
Password: (Enter the password for john)
Re-enter password: (Re-enter the password to verify)

Fitzcarraldo recommends Superadduser.

2009-03-29 Grub Issue

Getting reports that Grub issues are hitting a lot of people also, luckily you have some options.

1. The livedvd that you used to install with has in the installer an option to just reinstall grub, so boot up the livedvd, run the installer 'till you get to reinstall boot loader.

2. I highly recommend Super Grub Disk, it's a wonderful tool to restore Grub, saves a lot of headaches. Download the iso, burn it, boot it up, fix, reboot. Keep it safe as you will probably use it again.

I'm not sure what the prevention for this is, common sense tells me to reinstall grub before rebooting. I have a different grub so I can't test this out. I'm guessing the grub-install command

# grub-install /dev/sda

2009-03-27 Entropy Wiki Addition

Fresh Install - What to do?

hopefully this will help people get started with the entire process.

2009-03-25 ext4 with kernel .29

We have a new issue now with 2.6.29

If you upgrade to kernel 2.6.29 and have ext4, you have to edit you /etc/fstab file and remove the extents option as it is now default so you will have a line like

File: /etc/fstab
      /dev/sdb8       /                       ext4    extents,user_xattr,noatime 1 1

THIS IS WRONG NOW

You need to change it so it looks like:

File: /etc/fstab
      /dev/sdb8       /                       ext4    user_xattr,noatime 1 1

THIS IS CORRECT

if you don't remove the extents option, your system will be stuck in Read Only mode and nothing will start up, you will have to reboot to the previous kernel to edit the /etc/fstab file than reboot back to .29

Maybe you're able to login into a terminal. Then run

# mount -o rw,remount /dev/sdb8

In this example, sdb8 is the root partition. You must modify the example to fit your needs. If it's working, you can edit /etc/fstab and reboot.

2009-03-21 Update Information

We are seeing plenty of people having problems with updates as they don't realize what happens when there is a kernel change.

Remember when you change kernels - your modules/drivers (e.g. ATI/AMD/NVIDIA graphic drivers, Broadcom network driver) must match new kernel.

For example - I upgrade and before I reboot I want to make sure of a few things

# uname -r    
2.6.28-sabayon

oh look, I has a new kernel now, Did my nvidia-driver update? Probably not, but I can use

# equo search nvidia-driver

to see what I do have installed - x11-drivers/nvidia-drivers-96.43.09-r10#2.6.27-sabayon << DO NOT WANT

let's make sure my kernel is eselected first - if it isn't than it is pointless to rebuild modules as you would be building on the wrong kernel

# eselect kernel list
Available kernel symlink targets:
[1]   linux-2.6.27-sabayon
[2]   linux-2.6.28-sabayon *

sweet, it is eselected to the right kernel (marked with *), if it wasn't I would have had to eselect kernel set 2 So I better

# equo install nvidia-driver

to get x11-drivers/nvidia-drivers-180.41-r1#2.6.28-sabayon << DO WANT Now lets make sure eselect is point to right opengl

# eselect opengl list
Available OpenGL implementations:
[1]   nvidia *
[2]   xorg-x11

woot! and it is set to my nvidia, if it wasn't, I would of had to eselect opengl set 1

2.6.28-sabayon and x11-drivers/nvidia-drivers-180.41-r1#2.6.28-sabayon

Notice my Kernel matches my driver to same kernel version. This is critical, otherwise you are gonna boot up to a blinking cursor and run around screaming I Need Support!!!

This is not just an entropy or Sabayon Linux thing. Every time you change kernel in a distro you must rebuild the drivers/modules to work with your new kernel. This includes all hardware like cams, video, any thing that is a module.

and always always always

# equo conf update

and deal with the config files, you should look over this list and pay attention, most of time -5 is going to work fine, but if you suddenly boot to a different login manager, than you know you overwrote a config file you shouldn't of like /etc/conf.d/xdm, some others I do not over write are /etc/conf.d/hostname and /etc/conf.d/hwclock, there is a couple others but I'm not going to list em all, you should get to know our config files

Udev Issue

We are seeing some weird thing with udev being removed from startup and this is bad bad bad, so before rebooting, make sure udev is in your startup by doing

# rc-update show
            system-tools-backends |                               default         
            mount-ro |                                       shutdown
                sshd |                               default         
               dmesg |                  sysinit                     
             hotplug |                          boot                 
              serial |                          boot                 
             x-setup |                          boot                 
             keymaps |                          boot                 
           syslog-ng |                               default         
               mdadm |                               default         
               local | nonetwork                     default         
             portmap |                               default         
                udev |                  sysinit                     
             hwclock |                          boot                 
        termencoding |                          boot                 
          fbcondecor |                               default         
           savecache |                                       shutdown
         sabayon-mce |                          boot                 
                fsck |                          boot                 
         consolefont |                          boot                 
                swap |                               default         
                root |                          boot                 
                dbus |                          boot                 
      NetworkManager |                               default         
             modules |                          boot                 
               devfs |                  sysinit                     
                 xdm |                          boot                 
          vixie-cron |                               default         
                mtab |                          boot                 
               samba |                               default         
              sysctl |                          boot                 
       device-mapper |                          boot                 
           alsasound |                               default         
        avahi-daemon |                               default         
           killprocs |                                       shutdown
              procfs |                          boot                 
                hald |                          boot                 
          localmount |                          boot                 
            netmount |                               default         
               cupsd |                               default         
            hostname |                          boot                 
                 nfs |                               default         
              net.lo |                          boot                 
              dhcdbd |                               default         
             urandom |                               default         
                 lvm |                          boot                 
            bootmisc |                          boot

Look for udev

# rc-update show | grep udev

which should lead to an output like

                udev |                                        sysinit
      udev-postmount |      default

Otherwise run:

# rc-update add udev sysinit

if you reboot without udev starting, you won't get far as everything is going to fail and you will than be reading chrooting 101 to save your install

Networking Issue

Another thing with Networking breaking:

Hopefully in the future as entropy develops, some of these concerns will be address and make things even smoother for ya. Fabio is always making it better and easier for you, but in the meantime, keep these things in mind when you see a kernel change. Knowledge is power and the more you know what is changing in your system the better.